DK API 文档

youtube 01

15 个接口

GETget channel community posts

GET https://dkai.store/api/v1/youtube/web_v2/get_channel_community_posts

1 积分 / 成功调用

参数位置要求说明
channel_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_channel_community_posts?channel_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel description

GET https://dkai.store/api/v1/youtube/web_v2/get_channel_description

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_channel_description'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel id

GET https://dkai.store/api/v1/youtube/web_v2/get_channel_id

1 积分 / 成功调用

参数位置要求说明
channel_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_channel_id?channel_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel shorts

GET https://dkai.store/api/v1/youtube/web_v2/get_channel_shorts

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_channel_shorts'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel url

GET https://dkai.store/api/v1/youtube/web_v2/get_channel_url

1 积分 / 成功调用

参数位置要求说明
channel_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_channel_url?channel_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel videos

GET https://dkai.store/api/v1/youtube/web_v2/get_channel_videos

1 积分 / 成功调用

参数位置要求说明
channel_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_channel_videos?channel_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget general search v2

GET https://dkai.store/api/v1/youtube/web_v2/get_general_search_v2

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_general_search_v2'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget post comment replies

GET https://dkai.store/api/v1/youtube/web_v2/get_post_comment_replies

1 积分 / 成功调用

参数位置要求说明
continuation_tokenquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_post_comment_replies?continuation_token=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget post comments

GET https://dkai.store/api/v1/youtube/web_v2/get_post_comments

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_post_comments'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget post detail

GET https://dkai.store/api/v1/youtube/web_v2/get_post_detail

1 积分 / 成功调用

参数位置要求说明
post_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_post_detail?post_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget search suggestions

GET https://dkai.store/api/v1/youtube/web_v2/get_search_suggestions

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_search_suggestions?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget shorts search v2

GET https://dkai.store/api/v1/youtube/web_v2/get_shorts_search_v2

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_shorts_search_v2'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。